package palettes

import (
	"image/color"
	"sync"
)

// Override this to change the palette globally
const DefaultPaletteName = "SoldiersAtWar"

var (
	Transparent = color.RGBA{R: 0, G: 0, B: 0, A: 0}

	Palettes = map[string]color.Palette{}

	initPalettes = sync.Once{}
)

func DefaultPalette() color.Palette {
	return Palettes[DefaultPaletteName]
}
